Package org.drinkless.tdlib

# Class TdApi.EncryptGroupCallData

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Data>
org.drinkless.tdlib.TdApi.EncryptGroupCallData

Enclosing class:
  `TdApi`

public static class TdApi.EncryptGroupCallData extends TdApi.Function<TdApi.Data>
Encrypts group call data before sending them over network using tgcalls.

Returns `Data`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `data`
  Data to encrypt.
  `TdApi.GroupCallDataChannel`
  `dataChannel`
  Data channel for which data is encrypted.
  `int`
  `groupCallId`
  Group call identifier.
  `int`
  `unencryptedPrefixSize`
  Size of data prefix that must be kept unencrypted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptGroupCallData()`
  Default constructor for a function, which encrypts group call data before sending them over network using tgcalls.
  `EncryptGroupCallData(int groupCallId, TdApi.GroupCallDataChannel dataChannel, byte[] data, int unencryptedPrefixSize)`
  Creates a function, which encrypts group call data before sending them over network using tgcalls.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier. The call must not be a video chat.

  - ### dataChannel

    public TdApi.GroupCallDataChannel dataChannel
    Data channel for which data is encrypted.

  - ### data

    public byte[] data
    Data to encrypt.

  - ### unencryptedPrefixSize

    public int unencryptedPrefixSize
    Size of data prefix that must be kept unencrypted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EncryptGroupCallData

    public EncryptGroupCallData()
    Default constructor for a function, which encrypts group call data before sending them over network using tgcalls.

    Returns `Data`

  - ### EncryptGroupCallData

    public EncryptGroupCallData(int groupCallId, TdApi.GroupCallDataChannel dataChannel, byte[] data, int unencryptedPrefixSize)
    Creates a function, which encrypts group call data before sending them over network using tgcalls.

    Returns `Data`

    Parameters:
      `groupCallId` - Group call identifier. The call must not be a video chat.
      `dataChannel` - Data channel for which data is encrypted.
      `data` - Data to encrypt.
      `unencryptedPrefixSize` - Size of data prefix that must be kept unencrypted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Data>`
    Returns:
      this.CONSTRUCTOR